Main Page | Modules | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | Related Pages | Search for

# eoStBranchMutation< FType, Node > Class Template Reference
[StParseTree]

eoStBranchMutation --> replace a strongly typed subtree with a randomly created strongly typed subtree More...

`#include <gp/eoStParseTreeOp.h>`

Inheritance diagram for eoStBranchMutation< FType, Node >:

List of all members.

## Public Types
typedef eoParseTree< FType, Node > | EoType
## Public Member Functions
| eoStBranchMutation (eoInit< EoType > &_init, unsigned _max_length)
| Constructor.
virtual std::string | className () const
| the class name
virtual | ~eoStBranchMutation ()
| Dtor.
bool | operator() (EoType &_eo1)
| Mutate an individual.
## Private Attributes
unsigned | max_length
eoInit< EoType > & | initializer

## Detailed Description

### template<class FType, class Node>
class eoStBranchMutation< FType, Node >

eoStBranchMutation --> replace a strongly typed subtree with a randomly created strongly typed subtree

Definition at line 130 of file eoStParseTreeOp.h.

## Constructor & Destructor Documentation

template<class FType, class Node>
eoStBranchMutation< FType, Node >::eoStBranchMutation | ( | eoInit< EoType > & | _init,
|  | unsigned | _max_length
| ) | `[inline]`

  | Constructor. Parameters:
  | _init | An instantiation of eoGpDepthInitializer
  | _max_length | the maximum size of an individual
Definition at line 140 of file eoStParseTreeOp.h.

## Member Function Documentation

template<class FType, class Node>
bool eoStBranchMutation< FType, Node >::operator() | ( | EoType & | _eo1 | ) | `[inline]`

  | Mutate an individual. Parameters:
  | _eo1 | The individual that is to be changed
Definition at line 154 of file eoStParseTreeOp.h. References eoRng::random().

The documentation for this class was generated from the following file:

- eoStParseTreeOp.h